Page MenuHomePhabricator

Automatically delete old jobs not (or no longer) managed by JJB
Open, LowPublic

Description

http://ci.openstack.org/jenkins-job-builder/installation.html#deleting-jobs

When we rename, consolidate, or decommision jobs - they are often left behind on Jenkins. It would be good to get an insight into how much this is and purge them with jjb's --delete-old flag. In theory that should become a no-op.

Event Timeline

Krinkle created this task.Mar 3 2015, 5:00 PM
Krinkle raised the priority of this task from to Low.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2015, 5:00 PM
Legoktm added a subscriber: Legoktm.Mar 5 2015, 9:52 PM
Krinkle added a comment.EditedMar 9 2015, 8:31 PM
$ diff -u gallium_jenkins_jobs.ls.txt jjb_output.ls.txt | filter.sh

analytics-libanon
analytics-libcidr
analytics-limn
analytics-quarry-web-pep8
analytics-quarry-web-pyflakes
analytics-reportcard-data
analytics-udp-filters
analytics-webstatscollector
analytics-wikistats
browsertests-MultimediaViewer-en.wikipedia.beta.wmflabs.org-windows_7-internet_explorer-11-sauce
browsertests-UploadWizard-en.wikipedia.beta.wmflabs.org-windows_7-internet_explorer-8-sauce
cdb-composer
cdb-composer-hhvm
cdb-composer-zend
cxserver-jslint
Gerrit-Set-Reviewers
Global-Dev Dashboard Data
hashar-mediawiki-core-doxygen-publish
hashar-test-all-extensions
hashar-test-gradle
integration-jenkins-yamllint
integration-jjb-config-yamllint
integration-zuul-config-tox-py27
integration-zuul-config-yamllint
labs-tools-extdist-tox-flake8
mediawiki-core-extensions-integration
mediawiki-core-phpcs-lenient
mediawiki-core-phpcs-lenient-HEAD
mediawiki-core-phpcs-strict
mediawiki-core-phpcs-strict-HEAD
mediawiki-core-phpunit-hhvm
mediawiki-core-qunit-labsSlave
mediawiki-core-qunit2
mediawiki-core-regression-master
mediawiki-core-vendor-phpunit-api
mediawiki-core-vendor-phpunit-databaseless
mediawiki-core-vendor-phpunit-misc
mediawiki-core-vendor-phpunit-parser
mediawiki-language-extension-bundle-integration
mediawiki-ruby-api-yard
mediawiki-ruby-api-yard-publish
mediawiki-selenium-yard
mediawiki-selenium-yard-publish
mediawiki-vagrant-bundle-rspec
mediawiki-vagrant-bundle-rubocop
mediawiki-vagrant-ruby1.9.3lint
mw-tools-codesniffer-composer
mw-tools-codesniffer-composer-hhvm
mw-tools-codesniffer-composer-zend
mw-tools-codesniffer-phpunit
mw-tools-release-pep8
mw-tools-release-pyflakes
mw-tools-releng-tox-doc-rsync
mw-tools-scap-tox-doc-rsync
mwext-AbsenteeLandlord-composer-hhvm
mwext-AbsenteeLandlord-composer-zend
mwext-AbsenteeLandlord-lint
mwext-AbuseFilter-composer-hhvm
mwext-AbuseFilter-composer-zend
mwext-AbuseFilter-lint
mwext-AccessControl-composer-hhvm
mwext-AccessControl-composer-zend
mwext-AccessControl-lint
mwext-AccountAudit-composer-hhvm
mwext-AccountAudit-composer-zend
mwext-AccountAudit-lint
mwext-AccountInfo-composer-hhvm
mwext-AccountInfo-composer-zend
mwext-AccountInfo-lint
mwext-ActionEditSubmit-composer-hhvm
mwext-ActionEditSubmit-composer-zend
mwext-ActionEditSubmit-lint
mwext-ActiveAbstract-composer-hhvm
mwext-ActiveAbstract-composer-zend
mwext-ActiveAbstract-lint
mwext-ActivityMonitor-composer-hhvm
mwext-ActivityMonitor-composer-zend
mwext-ActivityMonitor-lint
mwext-AddMessages-composer-hhvm
mwext-AddMessages-composer-zend
mwext-AddMessages-lint
mwext-AddThis-composer-hhvm
mwext-AddThis-composer-zend
mwext-AddThis-lint
mwext-AdManager-composer-hhvm
mwext-AdManager-composer-zend
mwext-AdManager-lint
mwext-AdminLinks-composer-hhvm
mwext-AdminLinks-composer-zend
mwext-AdminLinks-lint
mwext-Ads-composer-hhvm
mwext-Ads-composer-zend
mwext-Ads-lint
mwext-AdvancedMeta-composer-hhvm
mwext-AdvancedMeta-composer-zend
mwext-AdvancedMeta-lint
mwext-Agora-composer-hhvm
mwext-Agora-composer-zend
mwext-Agora-lint
mwext-AjaxLogin-composer-hhvm
mwext-AjaxLogin-composer-zend
mwext-AjaxLogin-lint
mwext-AJAXPoll-composer-hhvm
mwext-AJAXPoll-composer-zend
mwext-AJAXPoll-lint
mwext-AkismetKlik-composer-hhvm
mwext-AkismetKlik-composer-zend
mwext-AkismetKlik-lint
mwext-AllTimeZones-composer-hhvm
mwext-AllTimeZones-composer-zend
mwext-AllTimeZones-lint
mwext-AnchorHandler-composer-hhvm
mwext-AnchorHandler-composer-zend
mwext-AnchorHandler-lint
mwext-Annotator-composer-hhvm
mwext-Annotator-composer-zend
mwext-Annotator-lint
mwext-AntiBot-composer-hhvm
mwext-AntiBot-composer-zend
mwext-AntiBot-lint
mwext-AntiSpoof-composer-hhvm
mwext-AntiSpoof-composer-zend
mwext-AntiSpoof-lint
mwext-APC-composer-hhvm
mwext-APC-composer-zend
mwext-APC-lint
mwext-ApiExplorer-composer-hhvm
mwext-ApiExplorer-composer-zend
mwext-ApiExplorer-lint
mwext-ApiFeatureUsage-composer-hhvm
mwext-ApiFeatureUsage-composer-zend
mwext-ApiFeatureUsage-lint
mwext-ApiSandbox-composer-hhvm
mwext-ApiSandbox-composer-zend
mwext-ApiSandbox-lint
mwext-ApiSVGProxy-composer-hhvm
mwext-ApiSVGProxy-composer-zend
mwext-ApiSVGProxy-lint
mwext-ApprovedRevs-composer-hhvm
mwext-ApprovedRevs-composer-zend
mwext-ApprovedRevs-lint
mwext-Arrays-composer-hhvm
mwext-Arrays-composer-zend
mwext-Arrays-lint
mwext-ArticleCreationWorkflow-composer-hhvm
mwext-ArticleCreationWorkflow-composer-zend
mwext-ArticleCreationWorkflow-lint
mwext-ArticleFeedback-composer-hhvm
mwext-ArticleFeedback-composer-zend
mwext-ArticleFeedback-lint
mwext-ArticleFeedbackv5-composer-hhvm
mwext-ArticleFeedbackv5-composer-zend
mwext-ArticleFeedbackv5-lint
mwext-ArticleFeedbackv5-rubocop
mwext-ArticleIndex-composer-hhvm
mwext-ArticleIndex-composer-zend
mwext-ArticleIndex-lint
mwext-AssertEdit-composer-hhvm
mwext-AssertEdit-composer-zend
mwext-AssertEdit-lint
mwext-Auth_remoteuser-composer-hhvm
mwext-Auth_remoteuser-composer-zend
mwext-Auth_remoteuser-lint
mwext-AuthorProtect-composer-hhvm
mwext-AuthorProtect-composer-zend
mwext-AuthorProtect-lint
mwext-AutoCreateCategoryPages-composer-hhvm
mwext-AutoCreateCategoryPages-composer-zend
mwext-AutoCreateCategoryPages-lint
mwext-AutomaticBoardWelcome-composer-hhvm
mwext-AutomaticBoardWelcome-composer-zend
mwext-AutomaticBoardWelcome-lint
mwext-AutoProxyBlock-composer-hhvm
mwext-AutoProxyBlock-composer-zend
mwext-AutoProxyBlock-lint
mwext-Awesomeness-composer-hhvm
mwext-Awesomeness-composer-zend
mwext-Awesomeness-lint
mwext-AWS-composer-hhvm
mwext-AWS-composer-zend
mwext-AWS-lint
mwext-AWSSDK-composer-hhvm
mwext-AWSSDK-composer-zend
mwext-AWSSDK-lint
mwext-Babel-composer-hhvm
mwext-Babel-composer-zend
mwext-Babel-lint
mwext-BatchUserRights-composer-hhvm
mwext-BatchUserRights-composer-zend
mwext-BatchUserRights-lint
mwext-BayesianFilter-composer-hhvm
mwext-BayesianFilter-composer-zend
mwext-BayesianFilter-lint
mwext-BetaFeatures-composer-hhvm
mwext-BetaFeatures-composer-zend
mwext-BetaFeatures-lint
mwext-BiblioPlus-composer-hhvm
mwext-BiblioPlus-composer-zend
mwext-BiblioPlus-lint
mwext-BibManager-composer-hhvm
mwext-BibManager-composer-zend
mwext-BibManager-lint
mwext-Blackout-composer-hhvm
mwext-Blackout-composer-zend
mwext-Blackout-lint
mwext-BlameMaps-composer-hhvm
mwext-BlameMaps-composer-zend
mwext-BlameMaps-lint
mwext-BlockAndNuke-composer-hhvm
mwext-BlockAndNuke-composer-zend
mwext-BlockAndNuke-lint
mwext-BlogPage-composer-hhvm
mwext-BlogPage-composer-zend
mwext-BlogPage-lint
mwext-BlueSpiceExtensions-composer-hhvm
mwext-BlueSpiceExtensions-composer-zend
mwext-BlueSpiceExtensions-lint
mwext-BlueSpiceFoundation-composer-hhvm
mwext-BlueSpiceFoundation-composer-zend
mwext-BlueSpiceFoundation-lint
mwext-BookManager-composer-hhvm
mwext-BookManager-composer-zend
mwext-BookManager-lint
mwext-BookManagerv2-composer-hhvm
mwext-BookManagerv2-composer-zend
mwext-BookManagerv2-lint
mwext-Bootstrap-composer-hhvm
mwext-Bootstrap-composer-zend
mwext-Bootstrap-lint
mwext-BounceHandler-composer-hhvm
mwext-BounceHandler-composer-zend
mwext-BounceHandler-lint
mwext-BreadCrumbs-composer-hhvm
mwext-BreadCrumbs-composer-zend
mwext-BreadCrumbs-lint
mwext-BreadCrumbs2-composer-hhvm
mwext-BreadCrumbs2-composer-zend
mwext-BreadCrumbs2-lint
mwext-Buggy-composer-hhvm
mwext-Buggy-composer-zend
mwext-Buggy-lint
mwext-Calendar-composer-hhvm
mwext-Calendar-composer-zend
mwext-Calendar-lint
mwext-Campaigns-composer-hhvm
mwext-Campaigns-composer-zend
mwext-Campaigns-lint
mwext-Capiunto-composer-hhvm
mwext-Capiunto-composer-zend
mwext-Capiunto-lint
mwext-Carp-composer-hhvm
mwext-Carp-composer-zend
mwext-Carp-lint
mwext-CategorySlideShow-composer-hhvm
mwext-CategorySlideShow-composer-zend
mwext-CategorySlideShow-lint
mwext-CategorySortHeaders-composer-hhvm
mwext-CategorySortHeaders-composer-zend
mwext-CategorySortHeaders-lint
mwext-CategoryTagSorter-composer-hhvm
mwext-CategoryTagSorter-composer-zend
mwext-CategoryTagSorter-lint
mwext-CategoryTests-composer-hhvm
mwext-CategoryTests-composer-zend
mwext-CategoryTests-lint
mwext-CategoryTree-composer-hhvm
mwext-CategoryTree-composer-zend
mwext-CategoryTree-lint
mwext-CentralAuth-composer-hhvm
mwext-CentralAuth-composer-zend
mwext-CentralAuth-lint
mwext-CentralLogging-composer-hhvm
mwext-CentralLogging-composer-zend
mwext-CentralLogging-lint
mwext-CentralNotice-composer-hhvm
mwext-CentralNotice-composer-zend
mwext-CentralNotice-lint
mwext-CentralNotice-qunit-karma
mwext-CharInsert-composer-hhvm
mwext-CharInsert-composer-zend
mwext-CharInsert-lint
mwext-CharRangeSpan-composer-hhvm
mwext-CharRangeSpan-composer-zend
mwext-CharRangeSpan-lint
mwext-Checkpoint-composer-hhvm
mwext-Checkpoint-composer-zend
mwext-Checkpoint-lint
mwext-CheckUser-composer-hhvm
mwext-CheckUser-composer-zend
mwext-CheckUser-lint
mwext-CirrusSearch-composer-hhvm
mwext-CirrusSearch-composer-zend
mwext-CirrusSearch-lint
mwext-Cite-composer-hhvm
mwext-Cite-composer-zend
mwext-Cite-lint
mwext-CiteThisPage-composer-hhvm
mwext-CiteThisPage-composer-zend
mwext-CiteThisPage-lint
mwext-Citoid-composer-hhvm
mwext-Citoid-composer-zend
mwext-Citoid-lint
mwext-cldr-lint
mwext-cldr-phpcs-strict-HEAD
mwext-CleanChanges-composer-hhvm
mwext-CleanChanges-composer-zend
mwext-CleanChanges-lint
mwext-ClickTracking-composer-hhvm
mwext-ClickTracking-composer-zend
mwext-ClickTracking-lint
mwext-ClientSide-composer-hhvm
mwext-ClientSide-composer-zend
mwext-ClientSide-lint
mwext-CloseWikis-composer-hhvm
mwext-CloseWikis-composer-zend
mwext-CloseWikis-lint
mwext-CodeEditor-composer-hhvm
mwext-CodeEditor-composer-zend
mwext-CodeEditor-lint
mwext-CodeMirror-composer-hhvm
mwext-CodeMirror-composer-zend
mwext-CodeMirror-lint
mwext-CodeReview-composer-hhvm
mwext-CodeReview-composer-zend
mwext-CodeReview-lint
mwext-CollapsibleVector-composer-hhvm
mwext-CollapsibleVector-composer-zend
mwext-CollapsibleVector-lint
mwext-Collection-composer-hhvm
mwext-Collection-composer-zend
mwext-Collection-lint
mwext-Commentbox-composer-hhvm
mwext-Commentbox-composer-zend
mwext-Commentbox-lint
mwext-CommentPages-composer-hhvm
mwext-CommentPages-composer-zend
mwext-CommentPages-lint
mwext-Comments-composer-hhvm
mwext-Comments-composer-zend
mwext-Comments-lint
mwext-CommonMessages-composer-hhvm
mwext-CommonMessages-composer-zend
mwext-CommonMessages-lint
mwext-CommonsMetadata-composer-hhvm
mwext-CommonsMetadata-composer-zend
mwext-CommonsMetadata-lint
mwext-CommunityApplications-composer-hhvm
mwext-CommunityApplications-composer-zend
mwext-CommunityApplications-lint
mwext-CommunityHiring-composer-hhvm
mwext-CommunityHiring-composer-zend
mwext-CommunityHiring-lint
mwext-CommunityTwitter-composer-hhvm
mwext-CommunityTwitter-composer-zend
mwext-CommunityTwitter-lint
mwext-CommunityVoice-composer-hhvm
mwext-CommunityVoice-composer-zend
mwext-CommunityVoice-lint
mwext-ConditionalShowSection-composer-hhvm
mwext-ConditionalShowSection-composer-zend
mwext-ConditionalShowSection-lint
mwext-Configure-composer-hhvm
mwext-Configure-composer-zend
mwext-Configure-lint
mwext-ConfirmAccount-composer-hhvm
mwext-ConfirmAccount-composer-zend
mwext-ConfirmAccount-lint
mwext-ConfirmEdit-composer-hhvm
mwext-ConfirmEdit-composer-zend
mwext-ConfirmEdit-lint
mwext-CongressLookup-composer-hhvm
mwext-CongressLookup-composer-zend
mwext-CongressLookup-lint
mwext-ContactPage-composer-hhvm
mwext-ContactPage-composer-zend
mwext-ContactPage-lint
mwext-ContactPageFundraiser-composer-hhvm
mwext-ContactPageFundraiser-composer-zend
mwext-ContactPageFundraiser-lint
mwext-ContentTranslation-composer-hhvm
mwext-ContentTranslation-composer-zend
mwext-ContentTranslation-lint
mwext-ContentTranslation-phpcs-strict-HEAD
mwext-Contest-composer-hhvm
mwext-Contest-composer-zend
mwext-Contest-lint
mwext-ContributionReporting-composer-hhvm
mwext-ContributionReporting-composer-zend
mwext-ContributionReporting-lint
mwext-ContributionScores-composer-hhvm
mwext-ContributionScores-composer-zend
mwext-ContributionScores-lint
mwext-ContributionTracking-composer-hhvm
mwext-ContributionTracking-composer-zend
mwext-ContributionTracking-lint
mwext-Contributors-composer-hhvm
mwext-Contributors-composer-zend
mwext-Contributors-lint
mwext-ConventionExtension-composer-hhvm
mwext-ConventionExtension-composer-zend
mwext-ConventionExtension-lint
mwext-Convert2Wiki-composer-hhvm
mwext-Convert2Wiki-composer-zend
mwext-Convert2Wiki-lint
mwext-CopyToClipboard-composer-hhvm
mwext-CopyToClipboard-composer-zend
mwext-CopyToClipboard-lint
mwext-CreatePage-composer-hhvm
mwext-CreatePage-composer-zend
mwext-CreatePage-lint
mwext-CreateRedirect-composer-hhvm
mwext-CreateRedirect-composer-zend
mwext-CreateRedirect-lint
mwext-CreditsSource-composer-hhvm
mwext-CreditsSource-composer-zend
mwext-CreditsSource-lint
mwext-CreditTab-composer-hhvm
mwext-CreditTab-composer-zend
mwext-CreditTab-lint
mwext-CryoKey-composer-hhvm
mwext-CryoKey-composer-zend
mwext-CryoKey-lint
mwext-CSS-composer-hhvm
mwext-CSS-composer-zend
mwext-CSS-lint
mwext-CustomData-composer-hhvm
mwext-CustomData-composer-zend
mwext-CustomData-lint
mwext-CustomUserSignup-composer-hhvm
mwext-CustomUserSignup-composer-zend
mwext-CustomUserSignup-lint
mwext-DataTransfer-composer-hhvm
mwext-DataTransfer-composer-zend
mwext-DataTransfer-lint
mwext-DataTypes-composer-hhvm
mwext-DataTypes-composer-zend
mwext-DataTypes-lint
mwext-DataValueImplementations-phpcs-HEAD
mwext-DebianISOCodes-composer-hhvm
mwext-DebianISOCodes-composer-zend
mwext-DebianISOCodes-lint
mwext-DeleteBatch-composer-hhvm
mwext-DeleteBatch-composer-zend
mwext-DeleteBatch-lint
mwext-DeleteOwn-composer-hhvm
mwext-DeleteOwn-composer-zend
mwext-DeleteOwn-lint
mwext-Description2-composer-hhvm
mwext-Description2-composer-zend
mwext-Description2-lint
mwext-DeviceMapLogCapture-composer-hhvm
mwext-DeviceMapLogCapture-composer-zend
mwext-DeviceMapLogCapture-lint
mwext-Diagnosis-composer-hhvm
mwext-Diagnosis-composer-zend
mwext-Diagnosis-lint
mwext-Dice-composer-hhvm
mwext-Dice-composer-zend
mwext-Dice-lint
mwext-DidYouKnow-composer-hhvm
mwext-DidYouKnow-composer-zend
mwext-DidYouKnow-lint
mwext-DidYouMean-composer-hhvm
mwext-DidYouMean-composer-zend
mwext-DidYouMean-lint
mwext-DisableAccount-composer-hhvm
mwext-DisableAccount-composer-zend
mwext-DisableAccount-lint
mwext-Disambiguator-composer-hhvm
mwext-Disambiguator-composer-zend
mwext-Disambiguator-lint
mwext-DiscussionThreading-composer-hhvm
mwext-DiscussionThreading-composer-zend
mwext-DiscussionThreading-lint
mwext-DismissableSiteNotice-composer-hhvm
mwext-DismissableSiteNotice-composer-zend
mwext-DismissableSiteNotice-lint
mwext-DisqusTag-composer-hhvm
mwext-DisqusTag-composer-zend
mwext-DisqusTag-lint
mwext-DjangoAnalytics-composer-hhvm
mwext-DjangoAnalytics-composer-zend
mwext-DjangoAnalytics-lint
mwext-DonationInterface-composer-hhvm
mwext-DonationInterface-composer-zend
mwext-DonationInterface-lint
mwext-DonationInterface-runtests
mwext-DoubleWiki-composer-hhvm
mwext-DoubleWiki-composer-zend
mwext-DoubleWiki-lint
mwext-DownloadCounter-composer-hhvm
mwext-DownloadCounter-composer-zend
mwext-DownloadCounter-lint
mwext-DPLforum-composer-hhvm
mwext-DPLforum-composer-zend
mwext-DPLforum-lint
mwext-Drafts-composer-hhvm
mwext-Drafts-composer-zend
mwext-Drafts-lint
mwext-DumpHTML-composer-hhvm
mwext-DumpHTML-composer-zend
mwext-DumpHTML-lint
mwext-Duplicator-composer-hhvm
mwext-Duplicator-composer-zend
mwext-Duplicator-lint
mwext-DynamicPageList-composer-hhvm
mwext-DynamicPageList-composer-zend
mwext-DynamicPageList-lint
mwext-DynamicSidebar-composer-hhvm
mwext-DynamicSidebar-composer-zend
mwext-DynamicSidebar-lint
mwext-E3Experiments-composer-hhvm
mwext-E3Experiments-composer-zend
mwext-E3Experiments-lint
mwext-Echo-composer-hhvm
mwext-Echo-composer-zend
mwext-Echo-lint
mwext-EditAccount-composer-hhvm
mwext-EditAccount-composer-zend
mwext-EditAccount-lint
mwext-Editcount-composer-hhvm
mwext-Editcount-composer-zend
mwext-Editcount-lint
mwext-EditPageTracking-composer-hhvm
mwext-EditPageTracking-composer-zend
mwext-EditPageTracking-lint
mwext-EditSubpages-composer-hhvm
mwext-EditSubpages-composer-zend
mwext-EditSubpages-lint
mwext-EducationProgram-composer-hhvm
mwext-EducationProgram-composer-zend
mwext-EducationProgram-lint
mwext-Elastica-composer-hhvm
mwext-Elastica-composer-zend
mwext-Elastica-lint
mwext-EmailCapture-composer-hhvm
mwext-EmailCapture-composer-zend
mwext-EmailCapture-lint
mwext-EnhanceContactForm-composer-hhvm
mwext-EnhanceContactForm-composer-zend
mwext-EnhanceContactForm-lint
mwext-ErrorHandler-composer-hhvm
mwext-ErrorHandler-composer-zend
mwext-ErrorHandler-lint
mwext-EtherEditor-composer-hhvm
mwext-EtherEditor-composer-zend
mwext-EtherEditor-lint
mwext-EtherpadLite-composer-hhvm
mwext-EtherpadLite-composer-zend
mwext-EtherpadLite-lint
mwext-EventLogging-composer-hhvm
mwext-EventLogging-composer-zend
mwext-EventLogging-lint
mwext-examples-lint
mwext-ExpandTemplates-composer-hhvm
mwext-ExpandTemplates-composer-zend
mwext-ExpandTemplates-lint
mwext-ExtensionDistributor-composer-hhvm
mwext-ExtensionDistributor-composer-zend
mwext-ExtensionDistributor-lint
mwext-ExternalArticles-composer-hhvm
mwext-ExternalArticles-composer-zend
mwext-ExternalArticles-lint
mwext-ExternalData-composer-hhvm
mwext-ExternalData-composer-zend
mwext-ExternalData-lint
mwext-ExtraLanguageLink-composer-hhvm
mwext-ExtraLanguageLink-composer-zend
mwext-ExtraLanguageLink-lint
mwext-ExtTab-composer-hhvm
mwext-ExtTab-composer-zend
mwext-ExtTab-lint
mwext-FanBoxes-composer-hhvm
mwext-FanBoxes-composer-zend
mwext-FanBoxes-lint
mwext-FeaturedFeeds-composer-hhvm
mwext-FeaturedFeeds-composer-zend
mwext-FeaturedFeeds-lint
mwext-FeedsFromPrivateWikis-composer-hhvm
mwext-FeedsFromPrivateWikis-composer-zend
mwext-FeedsFromPrivateWikis-lint
mwext-FilterListUsers-composer-hhvm
mwext-FilterListUsers-composer-zend
mwext-FilterListUsers-lint
mwext-FirstSteps-composer-hhvm
mwext-FirstSteps-composer-zend
mwext-FirstSteps-lint
mwext-FlaggedRevs-composer-hhvm
mwext-FlaggedRevs-composer-zend
mwext-FlaggedRevs-lint
mwext-Flow-composer-hhvm
mwext-Flow-composer-zend
mwext-Flow-lint
mwext-FlvHandler-composer-hhvm
mwext-FlvHandler-composer-zend
mwext-FlvHandler-lint
mwext-ForcePreview-composer-hhvm
mwext-ForcePreview-composer-zend
mwext-ForcePreview-lint
mwext-FormatDates-composer-hhvm
mwext-FormatDates-composer-zend
mwext-FormatDates-lint
mwext-FormatNum-composer-hhvm
mwext-FormatNum-composer-zend
mwext-FormatNum-lint
mwext-FormelApplet-composer-hhvm
mwext-FormelApplet-composer-zend
mwext-FormelApplet-lint
mwext-FormPreloadPostCache-composer-hhvm
mwext-FormPreloadPostCache-composer-zend
mwext-FormPreloadPostCache-lint
mwext-Foxway-composer-hhvm
mwext-Foxway-composer-zend
mwext-Foxway-lint
mwext-FundraiserLandingPage-composer-hhvm
mwext-FundraiserLandingPage-composer-zend
mwext-FundraiserLandingPage-lint
mwext-FundraisingChart-composer-hhvm
mwext-FundraisingChart-composer-zend
mwext-FundraisingChart-lint
mwext-FundraisingEmailUnsubscribe-composer-hhvm
mwext-FundraisingEmailUnsubscribe-composer-zend
mwext-FundraisingEmailUnsubscribe-lint
mwext-FundraisingTranslateWorkflow-composer-hhvm
mwext-FundraisingTranslateWorkflow-composer-zend
mwext-FundraisingTranslateWorkflow-lint
mwext-Gadgets-composer-hhvm
mwext-Gadgets-composer-zend
mwext-Gadgets-lint
mwext-Gather-composer-hhvm
mwext-Gather-composer-zend
mwext-Gather-lint
mwext-Genderize-composer-hhvm
mwext-Genderize-composer-zend
mwext-Genderize-lint
mwext-GeoCrumbs-composer-hhvm
mwext-GeoCrumbs-composer-zend
mwext-GeoCrumbs-lint
mwext-GeoData-composer-hhvm
mwext-GeoData-composer-zend
mwext-GeoData-lint
mwext-GeoGebra-composer-hhvm
mwext-GeoGebra-composer-zend
mwext-GeoGebra-lint
mwext-GettingStarted-composer-hhvm
mwext-GettingStarted-composer-zend
mwext-GettingStarted-lint
mwext-Git2Pages-composer-hhvm
mwext-Git2Pages-composer-zend
mwext-Git2Pages-lint
mwext-Gitweb-composer-hhvm
mwext-Gitweb-composer-zend
mwext-Gitweb-lint
mwext-GlobalBlocking-composer-hhvm
mwext-GlobalBlocking-composer-zend
mwext-GlobalBlocking-lint
mwext-GlobalContributions-composer-hhvm
mwext-GlobalContributions-composer-zend
mwext-GlobalContributions-lint
mwext-GlobalCssJs-composer-hhvm
mwext-GlobalCssJs-composer-zend
mwext-GlobalCssJs-lint
mwext-GlobalNotice-composer-hhvm
mwext-GlobalNotice-composer-zend
mwext-GlobalNotice-lint
mwext-GlobalPreferences-composer-hhvm
mwext-GlobalPreferences-composer-zend
mwext-GlobalPreferences-lint
mwext-GlobalUsage-composer-hhvm
mwext-GlobalUsage-composer-zend
mwext-GlobalUsage-lint
mwext-GlobalUserGroups-composer-hhvm
mwext-GlobalUserGroups-composer-zend
mwext-GlobalUserGroups-lint
mwext-GlobalUserPage-composer-hhvm
mwext-GlobalUserPage-composer-zend
mwext-GlobalUserPage-lint
mwext-GlobalUserrights-composer-hhvm
mwext-GlobalUserrights-composer-zend
mwext-GlobalUserrights-lint
mwext-GoogleAdSense-composer-hhvm
mwext-GoogleAdSense-composer-zend
mwext-GoogleAdSense-lint
mwext-googleAnalytics-lint
mwext-GoogleAnalyticsTopPages-composer-hhvm
mwext-GoogleAnalyticsTopPages-composer-zend
mwext-GoogleAnalyticsTopPages-lint
mwext-GoogleAPIClient-composer-hhvm
mwext-GoogleAPIClient-composer-zend
mwext-GoogleAPIClient-lint
mwext-GoogleAppEngine-composer-hhvm
mwext-GoogleAppEngine-composer-zend
mwext-GoogleAppEngine-lint
mwext-GoogleCustomWikiSearch-composer-hhvm
mwext-GoogleCustomWikiSearch-composer-zend
mwext-GoogleCustomWikiSearch-lint
mwext-GoogleDocs4MW-composer-hhvm
mwext-GoogleDocs4MW-composer-zend
mwext-GoogleDocs4MW-lint
mwext-GoogleDocTag-composer-hhvm
mwext-GoogleDocTag-composer-zend
mwext-GoogleDocTag-lint
mwext-GoogleLogin-composer-hhvm
mwext-GoogleLogin-composer-zend
mwext-GoogleLogin-lint
mwext-GoogleMaps-composer-hhvm
mwext-GoogleMaps-composer-zend
mwext-GoogleMaps-lint
mwext-GoogleNewsSitemap-composer-hhvm
mwext-GoogleNewsSitemap-composer-zend
mwext-GoogleNewsSitemap-lint
mwext-GooglePlusOne-composer-hhvm
mwext-GooglePlusOne-composer-zend
mwext-GooglePlusOne-lint
mwext-GoogleSiteSearch-composer-hhvm
mwext-GoogleSiteSearch-composer-zend
mwext-GoogleSiteSearch-lint
mwext-Graph-composer-hhvm
mwext-Graph-composer-zend
mwext-Graph-lint
mwext-GraphViz-composer-hhvm
mwext-GraphViz-composer-zend
mwext-GraphViz-lint
mwext-GroupsSidebar-composer-hhvm
mwext-GroupsSidebar-composer-zend
mwext-GroupsSidebar-lint
mwext-GuidedTour-composer-hhvm
mwext-GuidedTour-composer-zend
mwext-GuidedTour-lint
mwext-GWToolset-composer-hhvm
mwext-GWToolset-composer-zend
mwext-GWToolset-lint
mwext-Hanp-composer-hhvm
mwext-Hanp-composer-zend
mwext-Hanp-lint
mwext-HashTables-composer-hhvm
mwext-HashTables-composer-zend
mwext-HashTables-lint
mwext-HeaderTabs-composer-hhvm
mwext-HeaderTabs-composer-zend
mwext-HeaderTabs-lint
mwext-HelpCommons-composer-hhvm
mwext-HelpCommons-composer-zend
mwext-HelpCommons-lint
mwext-HelpPages-composer-hhvm
mwext-HelpPages-composer-zend
mwext-HelpPages-lint
mwext-HidePrefix-composer-hhvm
mwext-HidePrefix-composer-zend
mwext-HidePrefix-lint
mwext-HostStats-composer-hhvm
mwext-HostStats-composer-zend
mwext-HostStats-lint
mwext-Hovergallery-composer-hhvm
mwext-Hovergallery-composer-zend
mwext-Hovergallery-lint
mwext-HSTS-composer-hhvm
mwext-HSTS-composer-zend
mwext-HSTS-lint
mwext-HTMLets-composer-hhvm
mwext-HTMLets-composer-zend
mwext-HTMLets-lint
mwext-HTMLTags-composer-hhvm
mwext-HTMLTags-composer-zend
mwext-HTMLTags-lint
mwext-I18nTags-composer-hhvm
mwext-I18nTags-composer-zend
mwext-I18nTags-lint
mwext-IframePage-composer-hhvm
mwext-IframePage-composer-zend
mwext-IframePage-lint
mwext-IfTemplates-composer-hhvm
mwext-IfTemplates-composer-zend
mwext-IfTemplates-lint
mwext-ImageLink-composer-hhvm
mwext-ImageLink-composer-zend
mwext-ImageLink-lint
mwext-ImageMap-composer-hhvm
mwext-ImageMap-composer-zend
mwext-ImageMap-lint
mwext-ImageMetrics-composer-hhvm
mwext-ImageMetrics-composer-zend
mwext-ImageMetrics-lint
mwext-IndexFunction-composer-hhvm
mwext-IndexFunction-composer-zend
mwext-IndexFunction-lint
mwext-InlineCategorizer-composer-hhvm
mwext-InlineCategorizer-composer-zend
mwext-InlineCategorizer-lint
mwext-InputBox-composer-hhvm
mwext-InputBox-composer-zend
mwext-InputBox-lint
mwext-Insider-composer-hhvm
mwext-Insider-composer-zend
mwext-Insider-lint
mwext-InteractiveBlockMessage-composer-hhvm
mwext-InteractiveBlockMessage-composer-zend
mwext-InteractiveBlockMessage-lint
mwext-Interlanguage-composer-hhvm
mwext-Interlanguage-composer-zend
mwext-Interlanguage-lint
mwext-intersection-lint
mwext-Interwiki-composer-hhvm
mwext-Interwiki-composer-zend
mwext-Interwiki-lint
mwext-Interwiki-phpcs-strict-HEAD
mwext-InterwikiMagic-composer-hhvm
mwext-InterwikiMagic-composer-zend
mwext-InterwikiMagic-lint
mwext-InviteSignup-composer-hhvm
mwext-InviteSignup-composer-zend
mwext-InviteSignup-lint
mwext-Josa-composer-hhvm
mwext-Josa-composer-zend
mwext-Josa-lint
mwext-JSBreadCrumbs-composer-hhvm
mwext-JSBreadCrumbs-composer-zend
mwext-JSBreadCrumbs-lint
mwext-JsonConfig-composer-hhvm
mwext-JsonConfig-composer-zend
mwext-JsonConfig-lint
mwext-JsonData-composer-hhvm
mwext-JsonData-composer-zend
mwext-JsonData-lint
mwext-LabeledSectionTransclusion-composer-hhvm
mwext-LabeledSectionTransclusion-composer-zend
mwext-LabeledSectionTransclusion-lint
mwext-LandingCheck-composer-hhvm
mwext-LandingCheck-composer-zend
mwext-LandingCheck-lint
mwext-LanguageSelector-composer-hhvm
mwext-LanguageSelector-composer-zend
mwext-LanguageSelector-lint
mwext-LanguageTag-composer-hhvm
mwext-LanguageTag-composer-zend
mwext-LanguageTag-lint
mwext-LastModified-composer-hhvm
mwext-LastModified-composer-zend
mwext-LastModified-lint
mwext-LdapAuthentication-composer-hhvm
mwext-LdapAuthentication-composer-zend
mwext-LdapAuthentication-lint
mwext-Less-composer-hhvm
mwext-Less-composer-zend
mwext-Less-lint
mwext-LifeWeb-composer-hhvm
mwext-LifeWeb-composer-zend
mwext-LifeWeb-lint
mwext-LifeWebCore-composer-hhvm
mwext-LifeWebCore-composer-zend
mwext-LifeWebCore-lint
mwext-LightweightRDFa-composer-hhvm
mwext-LightweightRDFa-composer-zend
mwext-LightweightRDFa-lint
mwext-Limn-composer-hhvm
mwext-Limn-composer-zend
mwext-Limn-lint
mwext-Lingo-composer-hhvm
mwext-Lingo-composer-zend
mwext-Lingo-lint
mwext-LinkedWiki-composer-hhvm
mwext-LinkedWiki-composer-zend
mwext-LinkedWiki-lint
mwext-LinkFilter-composer-hhvm
mwext-LinkFilter-composer-zend
mwext-LinkFilter-lint
mwext-LinkSuggest-composer-hhvm
mwext-LinkSuggest-composer-zend
mwext-LinkSuggest-lint
mwext-LiquidThreads-composer-hhvm
mwext-LiquidThreads-composer-zend
mwext-LiquidThreads-lint
mwext-Listings-composer-hhvm
mwext-Listings-composer-zend
mwext-Listings-lint
mwext-ListSignup-composer-hhvm
mwext-ListSignup-composer-zend
mwext-ListSignup-lint
mwext-LiveTranslate-composer-hhvm
mwext-LiveTranslate-composer-zend
mwext-LiveTranslate-lint
mwext-LocalisationUpdate-composer-hhvm
mwext-LocalisationUpdate-composer-zend
mwext-LocalisationUpdate-lint
mwext-LocalisationUpdate-phpcs-strict-HEAD
mwext-Lockdown-composer-hhvm
mwext-Lockdown-composer-zend
mwext-Lockdown-lint
mwext-LockDownEnglishPages-composer-hhvm
mwext-LockDownEnglishPages-composer-zend
mwext-LockDownEnglishPages-lint
mwext-LogEntry-composer-hhvm
mwext-LogEntry-composer-zend
mwext-LogEntry-lint
mwext-LogoFunctions-composer-hhvm
mwext-LogoFunctions-composer-zend
mwext-LogoFunctions-lint
mwext-LookupUser-composer-hhvm
mwext-LookupUser-composer-zend
mwext-LookupUser-lint
mwext-LoopFunctions-composer-hhvm
mwext-LoopFunctions-composer-zend
mwext-LoopFunctions-lint
mwext-Loops-composer-hhvm
mwext-Loops-composer-zend
mwext-Loops-lint
mwext-MagicNoCache-composer-hhvm
mwext-MagicNoCache-composer-zend
mwext-MagicNoCache-lint
mwext-Maintenance-composer-hhvm
mwext-Maintenance-composer-zend
mwext-Maintenance-lint
mwext-MaintenanceShell-composer-hhvm
mwext-MaintenanceShell-composer-zend
mwext-MaintenanceShell-lint
mwext-Mantle-composer-hhvm
mwext-Mantle-composer-zend
mwext-Mantle-lint
mwext-Maps-composer-hhvm
mwext-Maps-composer-zend
mwext-Maps-lint
mwext-MapSources-composer-hhvm
mwext-MapSources-composer-zend
mwext-MapSources-lint
mwext-MarkAsHelpful-composer-hhvm
mwext-MarkAsHelpful-composer-zend
mwext-MarkAsHelpful-lint
mwext-MassEditRegex-composer-hhvm
mwext-MassEditRegex-composer-zend
mwext-MassEditRegex-lint
mwext-MassMessage-composer-hhvm
mwext-MassMessage-composer-zend
mwext-MassMessage-lint
mwext-Math-composer-hhvm
mwext-Math-composer-zend
mwext-Math-lint
mwext-MathSearch-composer-hhvm
mwext-MathSearch-composer-zend
mwext-MathSearch-lint
mwext-MediaFunctions-composer-hhvm
mwext-MediaFunctions-composer-zend
mwext-MediaFunctions-lint
mwext-MediaWikiAuth-composer-hhvm
mwext-MediaWikiAuth-composer-zend
mwext-MediaWikiAuth-lint
mwext-MediaWikiChat-composer-hhvm
mwext-MediaWikiChat-composer-zend
mwext-MediaWikiChat-lint
mwext-Minifier-composer-hhvm
mwext-Minifier-composer-zend
mwext-Minifier-lint
mwext-MixedNamespaceSearchSuggestions-composer-hhvm
mwext-MixedNamespaceSearchSuggestions-composer-zend
mwext-MixedNamespaceSearchSuggestions-lint
mwext-MobileApp-composer-hhvm
mwext-MobileApp-composer-zend
mwext-MobileApp-lint
mwext-MobileFrontend-composer-hhvm
mwext-MobileFrontend-composer-zend
mwext-MobileFrontend-docs
mwext-MobileFrontend-docs-publish
mwext-MobileFrontend-lint
mwext-MobileFrontend-mwextdocs
mwext-MobileFrontend-mwextdocs-publish
mwext-Model-composer-hhvm
mwext-Model-composer-zend
mwext-Model-lint
mwext-MolHandler-composer-hhvm
mwext-MolHandler-composer-zend
mwext-MolHandler-lint
mwext-MoodBar-composer-hhvm
mwext-MoodBar-composer-zend
mwext-MoodBar-lint
mwext-Moodle-composer-hhvm
mwext-Moodle-composer-zend
mwext-Moodle-lint
mwext-Mpdf-composer-hhvm
mwext-Mpdf-composer-zend
mwext-Mpdf-lint
mwext-MsLinks-composer-hhvm
mwext-MsLinks-composer-zend
mwext-MsLinks-lint
mwext-MSSQLBackCompat-composer-hhvm
mwext-MSSQLBackCompat-composer-zend
mwext-MSSQLBackCompat-lint
mwext-MsUpload-composer-hhvm
mwext-MsUpload-composer-zend
mwext-MsUpload-lint
mwext-MultiMaps-composer-hhvm
mwext-MultiMaps-composer-zend
mwext-MultiMaps-lint
mwext-MultimediaPlayer-composer-hhvm
mwext-MultimediaPlayer-composer-zend
mwext-MultimediaPlayer-lint
mwext-MultimediaViewer-composer-hhvm
mwext-MultimediaViewer-composer-zend
mwext-MultimediaViewer-do-something
mwext-MultimediaViewer-doc-publish
mwext-MultimediaViewer-doc-test
mwext-MultimediaViewer-lint
mwext-MultiUpload-composer-hhvm
mwext-MultiUpload-composer-zend
mwext-MultiUpload-lint
mwext-MwEmbedSupport-composer-hhvm
mwext-MwEmbedSupport-composer-zend
mwext-MwEmbedSupport-lint
mwext-MWSearch-composer-hhvm
mwext-MWSearch-composer-zend
mwext-MWSearch-lint
mwext-MyVariables-composer-hhvm
mwext-MyVariables-composer-zend
mwext-MyVariables-lint
mwext-NamespaceHTML-composer-hhvm
mwext-NamespaceHTML-composer-zend
mwext-NamespaceHTML-lint
mwext-NamespacePaths-composer-hhvm
mwext-NamespacePaths-composer-zend
mwext-NamespacePaths-lint
mwext-NamespaceRelations-composer-hhvm
mwext-NamespaceRelations-composer-zend
mwext-NamespaceRelations-lint
mwext-Narayam-composer-hhvm
mwext-Narayam-composer-zend
mwext-Narayam-lint
mwext-NaturalLanguageList-composer-hhvm
mwext-NaturalLanguageList-composer-zend
mwext-NaturalLanguageList-lint
mwext-NavigationTiming-composer-hhvm
mwext-NavigationTiming-composer-zend
mwext-NavigationTiming-lint
mwext-Negref-composer-hhvm
mwext-Negref-composer-zend
mwext-Negref-lint
mwext-NetworkAuth-composer-hhvm
mwext-NetworkAuth-composer-zend
mwext-NetworkAuth-lint
mwext-NewestPages-composer-hhvm
mwext-NewestPages-composer-zend
mwext-NewestPages-lint
mwext-News-composer-hhvm
mwext-News-composer-zend
mwext-News-lint
mwext-NewsBox-composer-hhvm
mwext-NewsBox-composer-zend
mwext-NewsBox-lint
mwext-NewSignupPage-composer-hhvm
mwext-NewSignupPage-composer-zend
mwext-NewSignupPage-lint
mwext-Newsletter-composer-hhvm
mwext-Newsletter-composer-zend
mwext-Newsletter-lint
mwext-NewUserMessage-composer-hhvm
mwext-NewUserMessage-composer-zend
mwext-NewUserMessage-lint
mwext-NewUserNotif-composer-hhvm
mwext-NewUserNotif-composer-zend
mwext-NewUserNotif-lint
mwext-NewUsersList-composer-hhvm
mwext-NewUsersList-composer-zend
mwext-NewUsersList-lint
mwext-Nonlinear-composer-hhvm
mwext-Nonlinear-composer-zend
mwext-Nonlinear-lint
mwext-Nostalgia-composer-hhvm
mwext-Nostalgia-composer-zend
mwext-Nostalgia-lint
mwext-NoTitle-composer-hhvm
mwext-NoTitle-composer-zend
mwext-NoTitle-lint
mwext-NSFileRepo-composer-hhvm
mwext-NSFileRepo-composer-zend
mwext-NSFileRepo-lint
mwext-Nuke-composer-hhvm
mwext-Nuke-composer-zend
mwext-Nuke-lint
mwext-NukeDPL-composer-hhvm
mwext-NukeDPL-composer-zend
mwext-NukeDPL-lint
mwext-NumberFormat-composer-hhvm
mwext-NumberFormat-composer-zend
mwext-NumberFormat-lint
mwext-NumberOfWikis-composer-hhvm
mwext-NumberOfWikis-composer-zend
mwext-NumberOfWikis-lint
mwext-Numbertext-composer-hhvm
mwext-Numbertext-composer-zend
mwext-Numbertext-lint
mwext-NumerAlpha-composer-hhvm
mwext-NumerAlpha-composer-zend
mwext-NumerAlpha-lint
mwext-OAI-composer-hhvm
mwext-OAI-composer-zend
mwext-OAI-lint
mwext-OATHAuth-composer-hhvm
mwext-OATHAuth-composer-zend
mwext-OATHAuth-lint
mwext-OAuth-composer-hhvm
mwext-OAuth-composer-zend
mwext-OAuth-lint
mwext-OdbcDatabase-composer-hhvm
mwext-OdbcDatabase-composer-zend
mwext-OdbcDatabase-lint
mwext-Offline-composer-hhvm
mwext-Offline-composer-zend
mwext-Offline-lint
mwext-OfflineImportLexicon-composer-hhvm
mwext-OfflineImportLexicon-composer-zend
mwext-OfflineImportLexicon-lint
mwext-OggHandler-composer-hhvm
mwext-OggHandler-composer-zend
mwext-OggHandler-lint
mwext-OnlineStatus-composer-hhvm
mwext-OnlineStatus-composer-zend
mwext-OnlineStatus-lint
mwext-OnlineStatusBar-composer-hhvm
mwext-OnlineStatusBar-composer-zend
mwext-OnlineStatusBar-lint
mwext-OnlyRecentRecentChanges-composer-hhvm
mwext-OnlyRecentRecentChanges-composer-zend
mwext-OnlyRecentRecentChanges-lint
mwext-OpenBadges-composer-hhvm
mwext-OpenBadges-composer-zend
mwext-OpenBadges-lint
mwext-OpenGraphMeta-composer-hhvm
mwext-OpenGraphMeta-composer-zend
mwext-OpenGraphMeta-lint
mwext-OpenID-composer-hhvm
mwext-OpenID-composer-zend
mwext-OpenID-lint
mwext-OpenSearchXml-composer-hhvm
mwext-OpenSearchXml-composer-zend
mwext-OpenSearchXml-lint
mwext-OpenStackManager-composer-hhvm
mwext-OpenStackManager-composer-zend
mwext-OpenStackManager-lint
mwext-OpenStreetMapSlippyMap-composer-hhvm
mwext-OpenStreetMapSlippyMap-composer-zend
mwext-OpenStreetMapSlippyMap-lint
mwext-OracleTextSearch-composer-hhvm
mwext-OracleTextSearch-composer-zend
mwext-OracleTextSearch-lint
mwext-Oversight-composer-hhvm
mwext-Oversight-composer-zend
mwext-Oversight-lint
mwext-PageBlock-composer-hhvm
mwext-PageBlock-composer-zend
mwext-PageBlock-lint
mwext-PageCreationNotif-composer-hhvm
mwext-PageCreationNotif-composer-zend
mwext-PageCreationNotif-lint
mwext-PageDisqus-composer-hhvm
mwext-PageDisqus-composer-zend
mwext-PageDisqus-lint
mwext-PagedTiffHandler-composer-hhvm
mwext-PagedTiffHandler-composer-zend
mwext-PagedTiffHandler-lint
mwext-PageImages-composer-hhvm
mwext-PageImages-composer-zend
mwext-PageImages-lint
mwext-PageInCat-composer-hhvm
mwext-PageInCat-composer-zend
mwext-PageInCat-lint
mwext-PageLanguage-composer-hhvm
mwext-PageLanguage-composer-zend
mwext-PageLanguage-lint
mwext-PageNotice-composer-hhvm
mwext-PageNotice-composer-zend
mwext-PageNotice-lint
mwext-PageSchemas-composer-hhvm
mwext-PageSchemas-composer-zend
mwext-PageSchemas-lint
mwext-PageTools-composer-hhvm
mwext-PageTools-composer-zend
mwext-PageTools-lint
mwext-PageTriage-composer-hhvm
mwext-PageTriage-composer-zend
mwext-PageTriage-lint
mwext-PanScroll-composer-hhvm
mwext-PanScroll-composer-zend
mwext-PanScroll-lint
mwext-ParserFun-composer-hhvm
mwext-ParserFun-composer-zend
mwext-ParserFun-lint
mwext-ParserFunctions-composer-hhvm
mwext-ParserFunctions-composer-zend
mwext-ParserFunctions-lint
mwext-ParserHooks-composer-hhvm
mwext-ParserHooks-composer-zend
mwext-ParserHooks-lint
mwext-Parsoid-composer-hhvm
mwext-Parsoid-composer-zend
mwext-Parsoid-lint
mwext-PdfBook-composer-hhvm
mwext-PdfBook-composer-zend
mwext-PdfBook-lint
mwext-PdfExport-composer-hhvm
mwext-PdfExport-composer-zend
mwext-PdfExport-lint
mwext-PdfHandler-composer-hhvm
mwext-PdfHandler-composer-zend
mwext-PdfHandler-lint
mwext-PerPageLicense-composer-hhvm
mwext-PerPageLicense-composer-zend
mwext-PerPageLicense-lint
mwext-Persona-composer-hhvm
mwext-Persona-composer-zend
mwext-Persona-lint
mwext-Petition-composer-hhvm
mwext-Petition-composer-zend
mwext-Petition-lint
mwext-PGFTikZ-composer-hhvm
mwext-PGFTikZ-composer-zend
mwext-PGFTikZ-lint
mwext-Phalanx-composer-hhvm
mwext-Phalanx-composer-zend
mwext-Phalanx-lint
mwext-PHPExcel-composer-hhvm
mwext-PHPExcel-composer-zend
mwext-PHPExcel-lint
mwext-PhpHighlight-composer-hhvm
mwext-PhpHighlight-composer-zend
mwext-PhpHighlight-lint
mwext-PhpTags-composer-hhvm
mwext-PhpTags-composer-zend
mwext-PhpTags-lint
mwext-PhpTagsFunctions-composer-hhvm
mwext-PhpTagsFunctions-composer-zend
mwext-PhpTagsFunctions-lint
mwext-PhpTagsMaps-composer-hhvm
mwext-PhpTagsMaps-composer-zend
mwext-PhpTagsMaps-lint
mwext-PhpTagsSMW-composer-hhvm
mwext-PhpTagsSMW-composer-zend
mwext-PhpTagsSMW-lint
mwext-PhpTagsWidgets-composer-hhvm
mwext-PhpTagsWidgets-composer-zend
mwext-PhpTagsWidgets-lint
mwext-PhpTagsWiki-composer-hhvm
mwext-PhpTagsWiki-composer-zend
mwext-PhpTagsWiki-lint
mwext-PictureGame-composer-hhvm
mwext-PictureGame-composer-zend
mwext-PictureGame-lint
mwext-Poem-composer-hhvm
mwext-Poem-composer-zend
mwext-Poem-lint
mwext-Poll-composer-hhvm
mwext-Poll-composer-zend
mwext-Poll-lint
mwext-PollNY-composer-hhvm
mwext-PollNY-composer-zend
mwext-PollNY-lint
mwext-Polyglot-composer-hhvm
mwext-Polyglot-composer-zend
mwext-Polyglot-lint
mwext-PoolCounter-composer-hhvm
mwext-PoolCounter-composer-zend
mwext-PoolCounter-lint
mwext-Popups-composer-hhvm
mwext-Popups-composer-zend
mwext-Popups-lint
mwext-PostEdit-composer-hhvm
mwext-PostEdit-composer-zend
mwext-PostEdit-lint
mwext-PrefStats-composer-hhvm
mwext-PrefStats-composer-zend
mwext-PrefStats-lint
mwext-PrefSwitch-composer-hhvm
mwext-PrefSwitch-composer-zend
mwext-PrefSwitch-lint
mwext-Premoderation-composer-hhvm
mwext-Premoderation-composer-zend
mwext-Premoderation-lint
mwext-PrivateDomains-composer-hhvm
mwext-PrivateDomains-composer-zend
mwext-PrivateDomains-lint
mwext-PronunciationRecording-composer-hhvm
mwext-PronunciationRecording-composer-zend
mwext-PronunciationRecording-lint
mwext-ProofreadPage-composer-hhvm
mwext-ProofreadPage-composer-zend
mwext-ProofreadPage-lint
mwext-ProtectSite-composer-hhvm
mwext-ProtectSite-composer-zend
mwext-ProtectSite-lint
mwext-PubSubHubbub-composer-hhvm
mwext-PubSubHubbub-composer-zend
mwext-PubSubHubbub-lint
mwext-PurgeClickThrough-composer-hhvm
mwext-PurgeClickThrough-composer-zend
mwext-PurgeClickThrough-lint
mwext-Push-composer-hhvm
mwext-Push-composer-zend
mwext-Push-lint
mwext-PushToWatch-composer-hhvm
mwext-PushToWatch-composer-zend
mwext-PushToWatch-lint
mwext-Quantcast-composer-hhvm
mwext-Quantcast-composer-zend
mwext-Quantcast-lint
mwext-QuickResponse-composer-hhvm
mwext-QuickResponse-composer-zend
mwext-QuickResponse-lint
mwext-Quiz-composer-hhvm
mwext-Quiz-composer-zend
mwext-Quiz-lint
mwext-QuizGame-composer-hhvm
mwext-QuizGame-composer-zend
mwext-QuizGame-lint
mwext-QuizTabulate-composer-hhvm
mwext-QuizTabulate-composer-zend
mwext-QuizTabulate-lint
mwext-RandomFeaturedUser-composer-hhvm
mwext-RandomFeaturedUser-composer-zend
mwext-RandomFeaturedUser-lint
mwext-RandomGameUnit-composer-hhvm
mwext-RandomGameUnit-composer-zend
mwext-RandomGameUnit-lint
mwext-RandomImage-composer-hhvm
mwext-RandomImage-composer-zend
mwext-RandomImage-lint
mwext-RandomImageByCategory-composer-hhvm
mwext-RandomImageByCategory-composer-zend
mwext-RandomImageByCategory-lint
mwext-RandomInCategory-composer-hhvm
mwext-RandomInCategory-composer-zend
mwext-RandomInCategory-lint
mwext-RandomRootPage-composer-hhvm
mwext-RandomRootPage-composer-zend
mwext-RandomRootPage-lint
mwext-RandomUsersWithAvatars-composer-hhvm
mwext-RandomUsersWithAvatars-composer-zend
mwext-RandomUsersWithAvatars-lint
mwext-Ratings-composer-hhvm
mwext-Ratings-composer-zend
mwext-Ratings-lint
mwext-RDFIO-composer-hhvm
mwext-RDFIO-composer-zend
mwext-RDFIO-lint
mwext-ReaderFeedback-composer-hhvm
mwext-ReaderFeedback-composer-zend
mwext-ReaderFeedback-lint
mwext-ReassignEdits-composer-hhvm
mwext-ReassignEdits-composer-zend
mwext-ReassignEdits-lint
mwext-RefreshSpecial-composer-hhvm
mwext-RefreshSpecial-composer-zend
mwext-RefreshSpecial-lint
mwext-RegexFun-composer-hhvm
mwext-RegexFun-composer-zend
mwext-RegexFun-lint
mwext-RegexFunctions-composer-hhvm
mwext-RegexFunctions-composer-zend
mwext-RegexFunctions-lint
mwext-RelatedArticles-composer-hhvm
mwext-RelatedArticles-composer-zend
mwext-RelatedArticles-lint
mwext-RelatedSites-composer-hhvm
mwext-RelatedSites-composer-zend
mwext-RelatedSites-lint
mwext-RelationLinks-composer-hhvm
mwext-RelationLinks-composer-zend
mwext-RelationLinks-lint
mwext-Renameuser-composer-hhvm
mwext-Renameuser-composer-zend
mwext-Renameuser-lint
mwext-ReplaceSet-composer-hhvm
mwext-ReplaceSet-composer-zend
mwext-ReplaceSet-lint
mwext-ReplaceText-composer-hhvm
mwext-ReplaceText-composer-zend
mwext-ReplaceText-lint
mwext-RevisionCommentSupplement-composer-hhvm
mwext-RevisionCommentSupplement-composer-zend
mwext-RevisionCommentSupplement-lint
mwext-RightFunctions-composer-hhvm
mwext-RightFunctions-composer-zend
mwext-RightFunctions-lint
mwext-RSS-composer-hhvm
mwext-RSS-composer-zend
mwext-RSS-lint
mwext-RT-composer-hhvm
mwext-RT-composer-zend
mwext-RT-lint
mwext-SandboxLink-composer-hhvm
mwext-SandboxLink-composer-zend
mwext-SandboxLink-lint
mwext-Sarcasm-composer-hhvm
mwext-Sarcasm-composer-zend
mwext-Sarcasm-lint
mwext-ScanSet-composer-hhvm
mwext-ScanSet-composer-zend
mwext-ScanSet-lint
mwext-Score-composer-hhvm
mwext-Score-composer-zend
mwext-Score-lint
mwext-Screenplay-composer-hhvm
mwext-Screenplay-composer-zend
mwext-Screenplay-lint
mwext-Scribunto-composer-hhvm
mwext-Scribunto-composer-zend
mwext-Scribunto-lint
mwext-SearchExtraNS-composer-hhvm
mwext-SearchExtraNS-composer-zend
mwext-SearchExtraNS-lint
mwext-SearchRealnames-composer-hhvm
mwext-SearchRealnames-composer-zend
mwext-SearchRealnames-lint
mwext-SectionDisqus-composer-hhvm
mwext-SectionDisqus-composer-zend
mwext-SectionDisqus-lint
mwext-SecureHTML-composer-hhvm
mwext-SecureHTML-composer-zend
mwext-SecureHTML-lint
mwext-SecurePasswords-composer-hhvm
mwext-SecurePasswords-composer-zend
mwext-SecurePasswords-lint
mwext-SecurePoll-composer-hhvm
mwext-SecurePoll-composer-zend
mwext-SecurePoll-lint
mwext-SecureSessions-composer-hhvm
mwext-SecureSessions-composer-zend
mwext-SecureSessions-lint
mwext-SelectCategory-composer-hhvm
mwext-SelectCategory-composer-zend
mwext-SelectCategory-lint
mwext-SelectTag-composer-hhvm
mwext-SelectTag-composer-zend
mwext-SelectTag-lint
mwext-SemanticACL-composer-hhvm
mwext-SemanticACL-composer-zend
mwext-SemanticACL-lint
mwext-SemanticBundle-composer-hhvm
mwext-SemanticBundle-composer-zend
mwext-SemanticBundle-lint
mwext-SemanticComments-composer-hhvm
mwext-SemanticComments-composer-zend
mwext-SemanticComments-lint
mwext-SemanticCompoundQueries-composer-hhvm
mwext-SemanticCompoundQueries-composer-zend
mwext-SemanticCompoundQueries-lint
mwext-SemanticDrilldown-composer-hhvm
mwext-SemanticDrilldown-composer-zend
mwext-SemanticDrilldown-lint
mwext-SemanticDummyEditor-composer-hhvm
mwext-SemanticDummyEditor-composer-zend
mwext-SemanticDummyEditor-lint
mwext-SemanticExpressiveness-composer-hhvm
mwext-SemanticExpressiveness-composer-zend
mwext-SemanticExpressiveness-lint
mwext-SemanticExtraSpecialProperties-composer-hhvm
mwext-SemanticExtraSpecialProperties-composer-zend
mwext-SemanticExtraSpecialProperties-lint
mwext-SemanticForms-composer-hhvm
mwext-SemanticForms-composer-zend
mwext-SemanticForms-lint
mwext-SemanticFormsInputs-composer-hhvm
mwext-SemanticFormsInputs-composer-zend
mwext-SemanticFormsInputs-lint
mwext-SemanticGenealogy-composer-hhvm
mwext-SemanticGenealogy-composer-zend
mwext-SemanticGenealogy-lint
mwext-SemanticGlossary-composer-hhvm
mwext-SemanticGlossary-composer-zend
mwext-SemanticGlossary-lint
mwext-SemanticHighcharts-composer-hhvm
mwext-SemanticHighcharts-composer-zend
mwext-SemanticHighcharts-lint
mwext-SemanticImageAnnotator-composer-hhvm
mwext-SemanticImageAnnotator-composer-zend
mwext-SemanticImageAnnotator-lint
mwext-SemanticImageInput-composer-hhvm
mwext-SemanticImageInput-composer-zend
mwext-SemanticImageInput-lint
mwext-SemanticInternalObjects-composer-hhvm
mwext-SemanticInternalObjects-composer-zend
mwext-SemanticInternalObjects-lint
mwext-SemanticMaps-composer-hhvm
mwext-SemanticMaps-composer-zend
mwext-SemanticMaps-lint
mwext-SemanticMediaWiki-composer-hhvm
mwext-SemanticMediaWiki-composer-zend
mwext-SemanticMediaWiki-lint
mwext-SemanticPageMaker-composer-hhvm
mwext-SemanticPageMaker-composer-zend
mwext-SemanticPageMaker-lint
mwext-SemanticPageSeries-composer-hhvm
mwext-SemanticPageSeries-composer-zend
mwext-SemanticPageSeries-lint
mwext-SemanticRating-composer-hhvm
mwext-SemanticRating-composer-zend
mwext-SemanticRating-lint
mwext-SemanticResultFormats-composer-hhvm
mwext-SemanticResultFormats-composer-zend
mwext-SemanticResultFormats-lint
mwext-SemanticSifter-composer-hhvm
mwext-SemanticSifter-composer-zend
mwext-SemanticSifter-lint
mwext-SemanticSignup-composer-hhvm
mwext-SemanticSignup-composer-zend
mwext-SemanticSignup-lint
mwext-SemanticTasks-composer-hhvm
mwext-SemanticTasks-composer-zend
mwext-SemanticTasks-lint
mwext-SemanticTitle-composer-hhvm
mwext-SemanticTitle-composer-zend
mwext-SemanticTitle-lint
mwext-SemanticUpdateOnPurge-composer-hhvm
mwext-SemanticUpdateOnPurge-composer-zend
mwext-SemanticUpdateOnPurge-lint
mwext-SemanticWatchlist-composer-hhvm
mwext-SemanticWatchlist-composer-zend
mwext-SemanticWatchlist-lint
mwext-SemanticWebBrowser-composer-hhvm
mwext-SemanticWebBrowser-composer-zend
mwext-SemanticWebBrowser-lint
mwext-Sentry-composer-hhvm
mwext-Sentry-composer-zend
mwext-Sentry-lint
mwext-SharedCssJs-composer-hhvm
mwext-SharedCssJs-composer-zend
mwext-SharedCssJs-lint
mwext-ShortUrl-composer-hhvm
mwext-ShortUrl-composer-zend
mwext-ShortUrl-lint
mwext-ShortUrlApi-composer-hhvm
mwext-ShortUrlApi-composer-zend
mwext-ShortUrlApi-lint
mwext-ShoutBox-composer-hhvm
mwext-ShoutBox-composer-zend
mwext-ShoutBox-lint
mwext-ShoutWikiAds-composer-hhvm
mwext-ShoutWikiAds-composer-zend
mwext-ShoutWikiAds-lint
mwext-SidebarDonateBox-composer-hhvm
mwext-SidebarDonateBox-composer-zend
mwext-SidebarDonateBox-lint
mwext-SideBarMenu-composer-hhvm
mwext-SideBarMenu-composer-zend
mwext-SideBarMenu-lint
mwext-SignWritingMediaWikiPlugin-composer-hhvm
mwext-SignWritingMediaWikiPlugin-composer-zend
mwext-SignWritingMediaWikiPlugin-lint
mwext-SimpleAntiSpam-composer-hhvm
mwext-SimpleAntiSpam-composer-zend
mwext-SimpleAntiSpam-lint
mwext-SimpleChanges-composer-hhvm
mwext-SimpleChanges-composer-zend
mwext-SimpleChanges-lint
mwext-SimpleFarm-composer-hhvm
mwext-SimpleFarm-composer-zend
mwext-SimpleFarm-lint
mwext-SimpleSecurity-composer-hhvm
mwext-SimpleSecurity-composer-zend
mwext-SimpleSecurity-lint
mwext-SimpleSurvey-composer-hhvm
mwext-SimpleSurvey-composer-zend
mwext-SimpleSurvey-lint
mwext-SiteMatrix-composer-hhvm
mwext-SiteMatrix-composer-zend
mwext-SiteMatrix-lint
mwext-SiteMetrics-composer-hhvm
mwext-SiteMetrics-composer-zend
mwext-SiteMetrics-lint
mwext-SiteSettings-composer-hhvm
mwext-SiteSettings-composer-zend
mwext-SiteSettings-lint
mwext-SkelJS-composer-hhvm
mwext-SkelJS-composer-zend
mwext-SkelJS-lint
mwext-SkinPerNamespace-composer-hhvm
mwext-SkinPerNamespace-composer-zend
mwext-SkinPerNamespace-lint
mwext-SkinPerPage-composer-hhvm
mwext-SkinPerPage-composer-zend
mwext-SkinPerPage-lint
mwext-skins-lint
mwext-SlimboxThumbs-composer-hhvm
mwext-SlimboxThumbs-composer-zend
mwext-SlimboxThumbs-lint
mwext-SmoothGallery-composer-hhvm
mwext-SmoothGallery-composer-zend
mwext-SmoothGallery-lint
mwext-SocialLogin-composer-hhvm
mwext-SocialLogin-composer-zend
mwext-SocialLogin-lint
mwext-SocialProfile-composer-hhvm
mwext-SocialProfile-composer-zend
mwext-SocialProfile-lint
mwext-SoftwareVersion-composer-hhvm
mwext-SoftwareVersion-composer-zend
mwext-SoftwareVersion-lint
mwext-Solarium-composer-hhvm
mwext-Solarium-composer-zend
mwext-Solarium-lint
mwext-SolrStore-composer-hhvm
mwext-SolrStore-composer-zend
mwext-SolrStore-lint
mwext-SoundManager2Button-composer-hhvm
mwext-SoundManager2Button-composer-zend
mwext-SoundManager2Button-lint
mwext-SpamBlacklist-composer-hhvm
mwext-SpamBlacklist-composer-zend
mwext-SpamBlacklist-lint
mwext-Spark-composer-hhvm
mwext-Spark-composer-zend
mwext-Spark-lint
mwext-Special404-composer-hhvm
mwext-Special404-composer-zend
mwext-Special404-lint
mwext-SpellingApi-composer-hhvm
mwext-SpellingApi-composer-zend
mwext-SpellingApi-lint
mwext-SphinxSearch-composer-hhvm
mwext-SphinxSearch-composer-zend
mwext-SphinxSearch-lint
mwext-SportsTeams-composer-hhvm
mwext-SportsTeams-composer-zend
mwext-SportsTeams-lint
mwext-Spreadsheet-composer-hhvm
mwext-Spreadsheet-composer-zend
mwext-Spreadsheet-lint
mwext-SSLClientAuthentication-composer-hhvm
mwext-SSLClientAuthentication-composer-zend
mwext-SSLClientAuthentication-lint
mwext-StaffEdits-composer-hhvm
mwext-StaffEdits-composer-zend
mwext-StaffEdits-lint
mwext-StalkerLog-composer-hhvm
mwext-StalkerLog-composer-zend
mwext-StalkerLog-lint
mwext-StarterWiki-composer-hhvm
mwext-StarterWiki-composer-zend
mwext-StarterWiki-lint
mwext-StickToThatLanguage-composer-hhvm
mwext-StickToThatLanguage-composer-zend
mwext-StickToThatLanguage-lint
mwext-StopForumSpam-composer-hhvm
mwext-StopForumSpam-composer-zend
mwext-StopForumSpam-lint
mwext-StrategyWiki-composer-hhvm
mwext-StrategyWiki-composer-zend
mwext-StrategyWiki-lint
mwext-StringFunctionsEscaped-composer-hhvm
mwext-StringFunctionsEscaped-composer-zend
mwext-StringFunctionsEscaped-lint
mwext-SubpageFun-lint
mwext-SubPageList-composer-hhvm
mwext-SubPageList-composer-zend
mwext-SubPageList-lint
mwext-SubPageList3-composer-hhvm
mwext-SubPageList3-composer-zend
mwext-SubPageList3-lint
mwext-SubpageSortkey-lint
mwext-Sudo-lint
mwext-Suhosin-lint
mwext-Survey-lint
mwext-SVGEdit-composer-hhvm
mwext-SVGEdit-composer-zend
mwext-SVGEdit-lint
mwext-SwarmExport-lint
mwext-SwiftCloudFiles-lint
mwext-SwiftMailer-lint
mwext-SyntaxHighlight_GeSHi-lint
mwext-SyntaxHighlighter-lint
mwext-Tabber-lint
mwext-Tabs-lint
mwext-TemplateData-lint
mwext-TemplateInfo-lint
mwext-TemplateSandbox-lint
mwext-TextExtracts-lint
mwext-Thanks-lint
mwext-Theme-lint
mwext-ThemeDesigner-lint
mwext-ThrottleOverride-lint
mwext-ThumbParser-lint
mwext-TimedMediaHandler-lint
mwext-timeline-lint
mwext-TimelineTable-lint
mwext-TimeMachine-lint
mwext-TimezoneSelector-lint
mwext-TitleBlacklist-lint
mwext-TitleIcon-lint
mwext-TitleKey-lint
mwext-TocTree-lint
mwext-TorBlock-lint
mwext-Translate-lint
mwext-Translate-phpcs-strict
mwext-Translate-phpcs-strict-HEAD
mwext-TranslateSvg-lint
mwext-TranslationNotifications-lint
mwext-TranslationNotifications-phpcs-strict-HEAD
mwext-Transliterator-lint
mwext-TrustedXFF-lint
mwext-TweetANew-lint
mwext-TwitterCards-lint
mwext-TwitterLogin-lint
mwext-TwnMainPage-lint
mwext-TwnMainPage-phpcs-strict-HEAD
mwext-TwoFactorAuthentication-lint
mwext-UIFeedback-lint
mwext-UnicodeConverter-lint
mwext-UnitTest-lint
mwext-UniversalLanguageSelector-lint
mwext-UniversalLanguageSelector-phpcs-strict-HEAD
mwext-UpdateMediaWiki-lint
mwext-UploadBlacklist-lint
mwext-UploadLocal-lint
mwext-UploadWizard-lint
mwext-UrlGetParameters-lint
mwext-UrlShortener-lint
mwext-URNames-lint
mwext-UserDailyContribs-lint
mwext-UserFunctions-lint
mwext-UserGroups-lint
mwext-UserMerge-lint
mwext-UserOptionStats-lint
mwext-UserPageViewTracker-lint
mwext-UserStatus-lint
mwext-UserThrottle-lint
mwext-Validator-lint
mwext-ValueView-lint
mwext-Variables-lint
mwext-Vector-lint
mwext-VectorBeta-lint
mwext-Video-lint
mwext-ViewFiles-lint
mwext-Views-lint
mwext-Vine-lint
mwext-VipsScaler-lint
mwext-VisualChat-lint
mwext-VisualEditor-csslint
mwext-VisualEditor-doc-publish
mwext-VisualEditor-jsduck
mwext-VisualEditor-lint
mwext-VisualEditor-qunit-karma-debug
mwext-VisualEditor-qunit2
mwext-VoteNY-lint
mwext-WantedPagesFromNS-lint
mwext-WatchSubpages-lint
mwext-WebChat-lint
mwext-WebFonts-lint
mwext-WebPlatformAuth-lint
mwext-WebPlatformSearchAutocomplete-lint
mwext-WhitelistPages-lint
mwext-WhiteSpace-lint
mwext-WhoIsWatching-lint
mwext-Widgets-lint
mwext-WikiArticleFeeds-lint
mwext-Wikibase-jslint
mwext-Wikibase-lint
mwext-Wikibase-phpcs-HEAD
mwext-Wikibase-qunit-experiment
mwext-Wikibase-repoapi-tests
mwext-WikibaseClient-jslint
mwext-WikibaseClient-lint
mwext-WikibaseClient-phpcs-HEAD
mwext-WikibaseJavaScriptApi-lint
mwext-WikibaseLib-jslint
mwext-WikibaseLib-lint
mwext-WikibaseLib-phpcs-HEAD
mwext-WikibaseMobile-lint
mwext-WikibaseQuery-jslint
mwext-WikibaseQuery-lint
mwext-WikibaseQuery-phpcs-HEAD
mwext-WikibaseRepo-jslint
mwext-WikibaseRepo-lint
mwext-WikibaseRepo-phpcs-HEAD
mwext-WikibaseSolr-lint
mwext-WikiCategoryTagCloud-lint
mwext-Wikidata-lint
mwext-WikidataEntitySuggester-lint
mwext-WikiEditor-lint
mwext-WikiForum-lint
mwext-WikiGrok-lint
mwext-wikihiero-lint
mwext-WikiLexicalData-lint
mwext-Wikilog-lint
mwext-WikiLove-lint
mwext-WikiLovesMonuments-lint
mwext-WikimediaEvents-lint
mwext-WikimediaIncubator-lint
mwext-WikimediaMaintenance-lint
mwext-WikimediaMessages-lint
mwext-WikimediaShopLink-lint
mwext-WikiObjectModel-lint
mwext-WikiTextLoggedInOut-lint
mwext-WikiTwidget-lint
mwext-WikivoteMapsYandex-lint
mwext-WindowsAzureSDK-lint
mwext-WindowsAzureStorage-lint
mwext-Workflow-lint
mwext-WYSIWYG-lint
mwext-XMLContentExtension-lint
mwext-YetAnotherKeywords-lint
mwext-YotpoReviews-lint
mwext-YouTube-lint
mwext-ZeroBanner-lint
mwext-ZeroPortal-lint
mwext-ZeroRatedMobileAccess-jslint
mwext-ZeroRatedMobileAccess-lint
mwext-ZeroRatedMobileAccess-phpcs-HEAD
oojs-ui-composer
oojs-ui-composer-hhvm
oojs-ui-composer-zend
oojs-ui-demos-publish
oojs-ui-phpcs-HEAD
oojs-ui-ruby1.9.3lint
operations-debs-python-voluptuous-debbuild
operations-mw-config-composer
operations-mw-config-composer-hhvm
operations-mw-config-composer-zend
operations-puppet-catalog-compiler
operations-puppet-puppetlint
operations-puppet-validate
parsoid-parse-tool-check
parsoid-parserTests
parsoid-parsertests-run
parsoid-parsertests-run-harder
parsoid-php-parsertests
parsoid-regressions
parsoid-roundtrip-test-check
parsoidsvc-deploy-npm
parsoidsvc-deploy-parsertests-run-harder
parsoidsvc-parse-tool-check
parsoidsvc-parse-tool-check2
parsoidsvc-roundtrip-test-check
parsoidsvc-source-npm
parsoidsvc-source-parsertests-run-harder
phabricator-wmf-integration
publish-doc
pywikibot-integration
test - Andrew vagrant sandbox
test - irc plugin
test copy console
test publish console log
test-bd808-vendor-clone
test-checkstyle-maven
test-copyartifact-filtering
test-csteipp-sensiolabs-securityadvisorieschecker
test-defaults-dry
test-hashar-clover-plugin-defaults
test-hashar-java8
test-hashar-myjob
test-hashar-opt-axis
test-mediawiki-phpcs-HEAD
test-phpmd
test-pmd-defaults
test-puppet-rspec
tests-checkstyle-defaults
utfnormal-composer
utfnormal-composer-hhvm
utfnormal-composer-zend
visualeditor-doitall2
VisualEditor-qunit
wikimedia-bots-jouncebot-pep8
wikimedia-bots-jouncebot-pyflakes
wikimedia-fundraising-civicrm
wikimedia-fundraising-civicrm-devhand
wikimedia-fundraising-DataDashboard-jslint
workspace-segfault
hashar added a subscriber: hashar.Mar 11 2015, 12:37 PM

Please do not blindly delete them, some of those jobs are triggered in Zuul such as the analytics* ones.

The mwext-*-composer-{hhvm,zend} jobs have been created fairly recently, they are not triggered and might have been an experiment I made a few weeks ago.

The browsertests* we might have forget to delete them or they might have been deployed from a patch pending review.

The mwext-*-lint jobs apparently got replaced so they can be gone :)

In short, refine the list to compare it with what is being triggered in Zuul. Some test.* jobs probably should probably be kept.

The browsertests* we might have forget to delete them or they might have been deployed from a patch pending review.

I think browsertests* jobs can be deleted if they are not in JJB. If they are really needed, they can be recreated once the commit is merged, in case they were deployed before the commit was merged.

Please do not blindly delete them, some of those jobs are triggered in Zuul such as the analytics* ones.

Why are those not in JJB?

Please do not blindly delete them, some of those jobs are triggered in Zuul such as the analytics* ones.

Why are those not in JJB?

There were part of the very first jobs created and maintained by someone from analytics. The idea was to let them easily change what they needed then reintegrate the result in JJB. Some of those analytics repositories might not be used anymore though.

The mwext-*-composer-{hhvm,zend} jobs have been created fairly recently, they are not triggered and might have been an experiment I made a few weeks ago.

I created them, and they can be safely deleted, we're using a generic "php-composer-test" job now. Same with (oojs-ui|utfnormal|cdb|mw-tools-codesniffer)-composer(-(hhvm|zend))? jobs.

Krinkle added a comment.EditedApr 10 2015, 12:38 PM

Recently, we cleaned up a lot of job declarations in integration-config repository. However, they still existed on gallium. I purged 889 jobs from gallium that were no longer in integration-config/jjb output. I only removed jobs that were safe to delete (e.g. jobs I know for sure we removed from JJB recently and are no longer triggered in Zuul).

The list of jobs registered on gallium that do not exist in integration-config, is now a lot shorter:

Global-Dev Dashboard Data
analytics-libanon
analytics-libcidr
analytics-limn
analytics-limn-mobile-data-tox-flake8
analytics-reportcard-data
analytics-udp-filters
analytics-webstatscollector
analytics-wikistats
browsertests-Flow-en.wikipedia.beta.wmflabs.org-windows_8-internet_explorer-10-sauce
browsertests-MultimediaViewer-en.wikipedia.beta.wmflabs.org-windows_7-internet_explorer-11-sauce
browsertests-MultimediaViewer-en.wikipedia.beta.wmflabs.org-windows_8-internet_explorer-10-sauce
browsertests-UploadWizard-en.wikipedia.beta.wmflabs.org-windows_7-internet_explorer-8-sauce
browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-windows_8-internet_explorer-10-sauce
browsertests-Wikidata-WikidataTests-linux-chrome-sauce
hashar-mediawiki-core-doxygen-publish
hashar-test-all-extensions
hashar-test-gradle
mediawiki-language-extension-bundle-integration
operations-mw-config-composer-hhvm
operations-mw-config-composer-zend
operations-puppet-catalog-compiler
phabricator-wmf-integration
pywikibot-core-tox-flake8-trusty
test-csteipp-sensiolabs-securityadvisorieschecker
test-hashar-opt-axis
test-hashar-zuul-debian-package
test-timed
wikimedia-fundraising-civicrm
wikimedia-fundraising-civicrm-devhand
wikimedia-fundraising-DataDashboard-jslint
wikimedia-fundraising-tools-jslint

Do we know if any of these can be safely removed? And can the rest be migrated to JJB?

Two jobs exist in jjb-output, but not in Jenkins:

> mediawiki-core-phpcs
> tox-doc
operations-puppet-catalog-compiler

That is used to manually simulate changes to operations/puppet.git so it needs to be migrated to JJB.

operations-puppet-catalog-compiler

That is used to manually simulate changes to operations/puppet.git so it needs to be migrated to JJB.

Filled as T97513: Migrate Jenkins job "operations-puppet-catalog-compiler" to Jenkins Job Builder

hashar renamed this task from Delete old jobs not (or no longer) managed by JJB to Automatically delete old jobs not (or no longer) managed by JJB.Mar 31 2017, 9:04 AM

Mentioned in SAL (#wikimedia-releng) [2019-02-08T20:20:55Z] <Krinkle> Delete various jobs on Jenkins that no longer exist in JJB config, ref T91410

Mentioned in SAL (#wikimedia-releng) [2019-04-13T21:05:31Z] <Krinkle> Deleting a bunch of job config+history from Jenkins for jobs that no longer exist in JJB/Zuul. T91410